org.gradle.nativebinaries.toolchain

## Interface VisualCpp

- All Superinterfaces:
    Named, ToolChain

      @Incubating
      public interface VisualCpp
      extends ToolChain

  The Visual C++ tool chain.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getInstallDir()` The directory where Visual Studio or Visual C++ is installed.
    `File` | `getWindowsSdkDir()` The directory where Windows SDK is installed.
    `void` | `setInstallDir(Object installDir)` The directory where Visual Studio or Visual C++ is installed.
    `void` | `setWindowsSdkDir(Object installDir)` The directory where Windows SDK is installed.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getInstallDir

          File getInstallDir()

      The directory where Visual Studio or Visual C++ is installed.

    - #### setInstallDir

          void setInstallDir(Object installDir)

      The directory where Visual Studio or Visual C++ is installed.

    - #### getWindowsSdkDir

          File getWindowsSdkDir()

      The directory where Windows SDK is installed.

    - #### setWindowsSdkDir

          void setWindowsSdkDir(Object installDir)

      The directory where Windows SDK is installed.